SELECT
' ' AS `ลำดับ`,
concat(substr(v.visitdate,9,2),'/',substr(v.visitdate,6,2),'/',substr(v.visitdate,1,4)+543) AS `วันที่รับบริการ`,
p.pid,
concat(ctitle.titlename,p.fname,' ',p.lname)as 'ชื่อ - สกุล',
p.idcard AS `เลขที่บัตรประจำตัวบุคคล 13 หลัก`,
p.sex AS 'เพศ',
GetAgeYearNum(p.birth,CURRENT_DATE)as age,
v.rightcode AS 'สิทธิบัตร',
v2.diagcode AS 'การวินิจฉัยโรค(รหัส ICD)',
v.money3 AS 'ราคาทุน',
v.money1 AS 'ค่าใช้จ่ายบาท)'
FROM
person AS p
INNER JOIN ctitle ON p.prename = ctitle.titlecode
INNER JOIN visit AS v ON p.pcucodeperson = v.pcucodeperson AND p.pid = v.pid
INNER JOIN visitdiag AS v2 ON v.pcucode = v2.pcucode AND v.visitno = v2.visitno
WHERE  v.visitdate BETWEEN '20150701' AND '20150730'
AND (v2.diagcode NOT LIKE 'z%' AND v2.dxtype = '01')
ORDER BY v.visitdate;
